Bug 50335 - lang/expect port build failure: `openpty' unresolved
Summary: lang/expect port build failure: `openpty' unresolved
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-03-27 08:40 UTC by Nate Eldredge
Modified: 2003-03-29 19:57 UTC (History)
0 users

See Also:


Attachments
expect.diff (527 bytes, patch)
2003-03-29 17:22 UTC, Tilman Linneweh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Eldredge 2003-03-27 08:40:02 UTC
Building the lang/expect port fails when it goes to link expectk.

cc -pipe -O -pipe  -o expectk exp_main_tk.o libexpect538.a -L/usr/local/lib -ltk83 -L/usr/local/lib -ltcl83   -L/usr/X11R6/lib -lX11   -lm -Wl,-rpath,/usr/local/lib:/usr/local/lib:/usr/local/lib:/usr/X11R6/lib
libexpect538.a(pty_termios.o): In function `exp_getptymaster':
pty_termios.o(.text+0x170): undefined reference to `openpty'
*** Error code 1

Stop in /big/ports/lang/expect/work/expect-5.38.

It looks to me like it needs to link -lutil.

How-To-Repeat: cd /usr/ports/lang/expect
make
Comment 1 Tilman Linneweh 2003-03-29 17:22:39 UTC
Nate, Can you try this patch.
Jerry, Can i commit it?

regards
tilman
Comment 2 Nate Eldredge 2003-03-29 18:16:05 UTC
On Sat, 29 Mar 2003, Tilman Linneweh wrote:

> Nate, Can you try this patch.

That fixed it, thanks.

-- 

Nate Eldredge
neldredge@hmc.edu
Comment 3 Tilman Keskinoz freebsd_committer 2003-03-29 19:57:28 UTC
State Changed
From-To: open->closed

Patch, committed, thanks for reporting.